/**
 * generated by Xtext 2.19.0
 */
package fr.istic.mML.impl;

import fr.istic.mML.MMLPackage;
import fr.istic.mML.StrategyEvaluation;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.MinimalEObjectImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Strategy Evaluation</b></em>'.
 * <!-- end-user-doc -->
 *
 * @generated
 */
public class StrategyEvaluationImpl extends MinimalEObjectImpl.Container implements StrategyEvaluation
{
  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected StrategyEvaluationImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return MMLPackage.Literals.STRATEGY_EVALUATION;
  }

} //StrategyEvaluationImpl
